Subject: Re: Fix comments related to pending statistics

From: Michael Paquier <[email-masked]>
Date: Thu, 12 Dec 2024 17:00:34 +0900

On Thu, Dec 12, 2024 at 05:07:23AM +0000, Bertrand Drouvot wrote:
> Yeap. I also just realized that the same kind of comments are missing for
> PgStat_BgWriterStats and PgStat_CheckpointerStats (for which we make use
> of pg_memory_is_all_zeros() to detect whether there are any stats updates to
> apply). Adding those in passing.

Good point.  I've slightly tweaked a few things for consistency and
the result looked OK, so applied.
--
Michael